=== modified file 'ivle/webapp/coremedia/ivle.css'
--- ivle/webapp/coremedia/ivle.css	2010-01-29 04:57:44 +0000
+++ ivle/webapp/coremedia/ivle.css	2010-02-04 01:14:54 +0000
@@ -281,6 +281,7 @@
 .keyaction,
 .manageaction,
 .groupaction,
+.subjectaction,
 .webaction {
   padding-left: 20px;
   background-position: left center;
@@ -311,6 +312,10 @@
   background-image: url(images/interface/group.png);
 }
 
+.subjectaction {
+  background-image: url(../ivle.webapp.tutorial/tutorial-small.png);
+}
+
 .webaction {
   background-image: url(images/interface/world.png);
 }

=== modified file 'ivle/webapp/filesystem/browser/media/specialhome.js'
--- ivle/webapp/filesystem/browser/media/specialhome.js	2009-12-02 00:12:23 +0000
+++ ivle/webapp/filesystem/browser/media/specialhome.js	2010-02-04 01:14:54 +0000
@@ -66,9 +66,11 @@
         {
             var subject = subjects[i];
             var subjpath = subject.subj_short_name;
-            // Header
-            h3 = dom_make_text_elem("h3", subject.subj_name);
-            specialhomediv.appendChild(h3);
+            // Header, with link to offering home page.
+            h3 = $('<h3><span></span> <span style="font-weight: normal">&ndash; <a class="subjectaction">Subject home</a></span>');
+            h3.find('span:first-child').text(subject.subj_name);
+            h3.find('a').attr('href', subject.url);
+            $(specialhomediv).append(h3);
         
             /* Print the file listing */
             ul = document.createElement("ul");

=== modified file 'ivle/webapp/userservice/__init__.py'
--- ivle/webapp/userservice/__init__.py	2010-01-28 00:59:45 +0000
+++ ivle/webapp/userservice/__init__.py	2010-02-04 01:14:54 +0000
@@ -325,6 +325,7 @@
     for e in user.active_enrolments:
         dict_enrolments.append({
             'offeringid':      e.offering.id,
+            'url':             req.publisher.generate(e.offering),
             'subj_code':       e.offering.subject.code,
             'subj_name':       e.offering.subject.name,
             'subj_short_name': e.offering.subject.short_name,

